import request from '@/utils/request'

// 查询轮播图列表
export function listBanner(data) {
  return request({
    url: '/tBanner/list',
    method: 'post',
    data: data
  })
}

// 查询轮播图详细
export function getBanner(id) {
  return request({
    url: '/tBanner/' + id,
    method: 'get'
  })
}

// 新增轮播图
export function addBanner(data) {
  return request({
    url: '/tBanner',
    method: 'post',
    data: data
  })
}

// 修改轮播图
export function updateBanner(data) {
  return request({
    url: '/tBanner',
    method: 'put',
    data: data
  })
}

// 删除轮播图
export function delBanner(id) {
  return request({
    url: '/tBanner/' + id,
    method: 'delete'
  })
}

// 导出轮播图
export function exportBanner(query) {
  return request({
    url: '/tBanner/export',
    method: 'get',
    params: query
  })
}
